{% extends 'base.html' %}

{% block content %}
<div class="container mt-4">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">
                    <h5 class="card-title">Delete Post</h5>
                </div>
                <div class="card-body">
                    <p>Are you sure you want to delete the post titled "<strong>{{ post.title }}</strong>" by {{ post.author }}?</p>
                    <form method="POST">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-danger">Yes, delete</button>
                        <a href="{% url 'post_detail' posts.pk %}" class="btn btn-secondary">Cancel</a>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}
